org.eclipse.ease.debugging.events.model

## Class SetVariablesRequest

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.model.SetVariablesRequest

All Implemented Interfaces:
  IDebugEvent, IModelRequest

    public class SetVariablesRequest
    extends AbstractEvent
    implements IModelRequest

### Constructor Summary

Constructors
Constructor and Description
`SetVariablesRequest(IDebugElement parent, EaseDebugVariable variable, java.lang.String expression)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getExpression()`
`IDebugElement` `getRequestor()`
`EaseDebugVariable` `getVariable()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`getThread, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SetVariablesRequest

    public SetVariablesRequest(IDebugElement parent,
                               EaseDebugVariable variable,
                               java.lang.String expression)

### Method Detail

#### getRequestor

    public IDebugElement getRequestor()

#### getVariable

    public EaseDebugVariable getVariable()

#### getExpression

    public java.lang.String getExpression()